#!/bin/bash
#

# Set up NFS mount points
[ -d /home     ] || mkdir /home
[ -d /home2    ] || mkdir /home2
[ -d /prj      ] || mkdir /prj
[ -d /fnal/ups ] || mkdir -p /fnal/ups
[ -d /scratch  ] || mkdir /scratch

# Set up bluearc mount points
[ -d /ilc/accelerator ] || mkdir -p /ilc/accelerator
[ -d /ilc/ilc4c       ] || mkdir -p /ilc/ilc4c
[ -d /ilc/ild         ] || mkdir -p /ilc/ild
[ -d /ilc/sid         ] || mkdir -p /ilc/sid
[ -d /grid/app        ] || mkdir -p /grid/app
[ -d /grid/data       ] || mkdir -p /grid/data

# edit fstab
if [ `grep ilcsrv1.fnal.gov:/home /etc/fstab | wc -l` -eq 0 ]
then
  echo 'ilcsrv1.fnal.gov:/home  /home nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi
if [ `grep ilcsrv1.fnal.gov:/home2 /etc/fstab | wc -l` -eq 0 ]
then
  echo 'ilcsrv1.fnal.gov:/home2  /home2 nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi
if [ `grep ilcsrv1.fnal.gov:/prj /etc/fstab | wc -l` -eq 0 ]
then
  echo 'ilcsrv1.fnal.gov:/prj     /prj    nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi
if [ `grep ilcsrv1.fnal.gov:/fnal/ups /etc/fstab | wc -l` -eq 0 ]
then
  echo 'ilcsrv1.fnal.gov:/fnal/ups /fnal/ups nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi
if [ `grep ilcsrv1.fnal.gov:/scratch /etc/fstab | wc -l` -eq 0 ]
then
  echo 'ilcsrv1.fnal.gov:/scratch  /scratch nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi
if [ `grep blue1.fnal.gov:/ilc/ilc4c /etc/fstab | wc -l` -eq 0 ]
then
  echo 'blue1.fnal.gov:/ilc/ilc4c  /ilc/ilc4c nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi
if [ `grep blue1.fnal.gov:/ilc/ild /etc/fstab | wc -l` -eq 0 ]
then
  echo 'blue1.fnal.gov:/ilc/ild  /ilc/ild nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi
if [ `grep blue1.fnal.gov:/ilc/sid /etc/fstab | wc -l` -eq 0 ]
then
  echo 'blue1.fnal.gov:/ilc/sid  /ilc/sid nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi
if [ `grep blue1.fnal.gov:/ilc/accelerator /etc/fstab | wc -l` -eq 0 ]
then
  echo 'blue1.fnal.gov:/ilc/accelerator  /ilc/accelerator nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

# make sure shells are present
[ -d /usr/local/bin ]      || mkdir -p /usr/local/bin
[ -L /usr/local/bin/bash ] || ln -s /bin/bash /usr/local/bin/bash
[ -L /usr/local/bin/tcsh ] || ln -s /bin/tcsh /usr/local/bin/tcsh

if [ `grep /usr/local/bin/bash /etc/shells | wc -l` -eq 0 ]
then
  echo '/usr/local/bin/bash' >> /etc/shells
fi
if [ `grep /usr/local/bin/tcsh /etc/shells | wc -l` -eq 0 ]
then
  echo '/usr/local/bin/tcsh' >> /etc/shells
fi

# establish ups
mount /fnal/ups
if [ -f "/fnal/ups/etc/setups.sh" ]
then
  . "/fnal/ups/etc/setups.sh"
  # start ups at boot time
  if [ ! -f /etc/rc.d/init.d/ups ] 
  then
     cp $UPS_DIR/init.d/ups /etc/rc.d/init.d/ups
     /etc/rc.d/init.d/ups config
  fi
fi

#  send mail to fnsimu-admin
if [ `grep root: /etc/aliases | grep -v \# | wc -l` -eq 0 ]
then
  echo 'root: fnsimu-admin@fnal.gov' >> /etc/aliases
  /usr/bin/newaliases
fi

# create .k5login for root
if [ ! -f "/root/.k5login" ]
then
    echo "garren@FNAL.GOV" > /root/.k5login
    echo "mgreaney@FNAL.GOV" >> /root/.k5login
    echo "bens@FNAL.GOV" >> /root/.k5login
    echo "baisley@FNAL.GOV" >> /root/.k5login
    echo "csieh@FNAL.GOV" >> /root/.k5login
    echo "dawson@FNAL.GOV" >> /root/.k5login
    echo "mmihalek@FNAL.GOV" >> /root/.k5login
    echo "kovich@FNAL.GOV" >> /root/.k5login
    echo "shepelak@FNAL.GOV" >> /root/.k5login
    echo "skaar@FNAL.GOV" >> /root/.k5login
fi
